# $Revision: 1.16 $, $Date: 2002/10/04 14:16:50 $
Summary:	Jar file creation utility
Summary(pl):	Narzdzie do tworzenia plikw jar
Name:		fastjar
Version:	0.93
Release:	3
License:	GPL
Group:		Development/Languages/Java
Source0:	ftp://download.sourceforge.net/pub/sourceforge/fastjar/%{name}-%{version}.tgz
URL:		http://fastjar.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	zlib-devel
Provides:	jar
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FastJar is an attempt at creating a feature-for-feature copy of Sun's
JDK's 'jar' command. Sun's jar (or Blackdown's for that matter) is
written entirely in Java which makes it dog slow. Since FastJar is
written in C, it can create the same .jar file as Sun's tool in a
fraction of the time. On my system, Sun's jar takes 50 seconds to
create a 10MB jar file, while FastJar only takes a little over a
second.

%description -l pl
FastJar to prba stworzenia dokadnej pod wzgldem moliwoci kopii
polecenia jar z Sun JDK. jar Suna (lub Blackdowna) jest napisany
cakowicie w Javie, co powoduje, e jest bardzo wolny. Poniewa
FastJar jest napisany w C, moe tworzy te same pliki .jar co
narzdzie Suna kilka razy szybciej. Na systemie autora jar Suna
potrzebuje 50 sekund na stworzenie 10MB pliku jar, natomiast fastjar
robi to w nieco ponad sekund.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

ln -sf fastjar $RPM_BUILD_ROOT%{_bindir}/jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: fastjar.spec,v $
Revision 1.16  2002/10/04 14:16:50  kloczek
- release 3: use new %doc.

Revision 1.15  2002/05/21 23:13:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/04/25 16:17:24  arturs
fixed a small typo

Revision 1.13  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/03/03 11:00:31  kloczek
- reelasze 2: added "rm -f missing" on top %build.

Revision 1.11  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:12:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/11/27 10:04:40  qboosh
- pl description

Revision 1.8  2001/09/15 17:17:56  bonkey
- Group changed to Development/Languages/Java

Revision 1.7  2001/08/22 17:31:16  filon
- added Provides: jar

Revision 1.6  2001/02/16 08:52:18  kloczek
- regenerate all am/ac files.

Revision 1.5  2001/02/16 08:13:55  kloczek
- removed outdated DESTDIR_and_install patch.

Revision 1.4  2001/02/16 03:33:34  kloczek
- updated to 0.93.

Revision 1.3  2001/02/14 18:02:17  kloczek
- adapterized,
- added %description,
- added BuildRequires rules,
- simplifications in %files,
- removed LICENSE and INSTALL from %doc.

Revision 1.2  2001/02/14 17:31:56  wiget
add source URI

Revision 1.1  2000/08/29 08:03:09  wrobell
- jar generation utility
